PROTECT(1)

NAME
protect - protect processes from being killed when swap space is exhausted

SYNOPSIS
protect [-i] command
protect [-cdi] -g pgrp | -p pid

DESCRIPTION
The protect command is used to mark processes as protected. The kernel does not kill protected processes when swap space is exhausted. Note that this protected state is not inherited by child processes by default.

The options are:

-c  Remove protection from the specified processes.

-d  Apply the operation to all current children of the specified processes.

-i  Apply the operation to all future children of the specified processes.

-g pgrp
    Apply the operation to all processes in the specified process group.

-p pid
    Apply the operation to the specified process.

command
    Execute command as a protected process.

Note that only one of the -p or -g flags may be specified when adjusting the state of existing processes.

EXIT STATUS

EXAMPLES
Mark the Xorg server as protected:

    pgrep Xorg | xargs protect -p

Protect all ssh sessions and their child processes:

    pgrep sshd | xargs protect -dip

Remove protection from all current and future processes:

    protect -cdi -p 1

SEE ALSO
procctl(2)

BUGS
If you protect a runaway process that allocates all memory the system will deadlock.